# std::raw_storage_iterator<OutputIt,T>::operator++, operator++(int)

From cppreference.com
< cpp‎ | memory‎ | raw storage iterator

raw_storage_iterator& operator++(); |  |
raw_storage_iterator operator++(int); |  |

Advances the iterator.

1) Pre-increment. Returns the updated iterator.
2) Post-increment. Returns the old value of the iterator.

### Parameters

(none)

### Return value

1) *this
2) The old value of the iterator.
Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/memory/raw_storage_iterator/operator_arith&oldid=105331"